Subject: bug#29422: 27.0.50; Symbol enable-multibyte-characters may not be buffer-local

From: Stefan Monnier <[email-masked]>
Date: Sat, 25 Nov 2017 11:47:25 -0500

> Yes, but signaling "Setting constant" when we actually mean a
> read-only symbol is sub-optimal, IMO.

That's the error that we've been using for (setq
enable-multibyte-characters ...) since Emacs-21.

> How about inventing a new error symbol for these cases?

I haven't found a situation where I needed to distinguish those two
error cases yet, so I don't see any need for that, but if you feel like
it, that's fine (tho better make that new error be a sub-error of
`setting-constant` so as not to break existing code).

        Stefan